/* ==========================================================================
   AUTO RFP CREATE
   ========================================================================== */

body:not(.woocommerce-cart) .main-content table.auto-rfp-table,
body:not(.woocommerce-cart) .main-content table.auto-rfp-table tr,
body:not(.woocommerce-cart) .main-content table.auto-rfp-table th,
body:not(.woocommerce-cart) .main-content table.auto-rfp-table td {
    border: none !important;
    background: none !important;
}

body:not(.woocommerce-cart) .main-content table.auto-rfp-table {
    background: rgba(255, 255, 255, 0.05) !important;
    margin-top: 4rem !important;
    border-radius: 1rem;
    table-layout: fixed;
    z-index: 2;
    position: relative;
}

body:not(.woocommerce-cart) .main-content table.auto-rfp-table th,
body:not(.woocommerce-cart) .main-content table.auto-rfp-table td {
    padding: 1rem 2rem !important;
}

body.page-template-rfp-create .content-card.card-mini .supplier-pill,
body.page-template-rfp-create .content-card.card-mini .see-more,
body.page-template-rfp-create .content-card.card-mini .card-long-description {
    display: none;
}

body.page-template-rfp-create .content-card.card-mini .card-short-description {
    margin: 0 !important;
}

body.page-template-rfp-create .content-card input.card-checkbox {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
}

@media only screen and (max-width: 640px) {
    body.page-template-rfp-create .top-level>.col {
        margin: 0 !important;
    }
}

body.page-template-rfp-create .action-row .nectar-button {
    display: inline-flex !important;
    width: initial !important;
    min-height: 42px !important;
    height: 42px !important;
    padding: 0 5rem !important;
}

body.page-template-rfp-create .action-row .submit-button {
    margin-left: 2rem !important;
}

body.page-template-rfp-create .action-row .secondary-button {
    margin-right: 2rem !important;
    padding: 0.75rem 1.5rem !important;
}

@media only screen and (max-width: 640px) {
    body.page-template-rfp-create .action-row .submit-button {
        display: block !important;
        width: calc(100% - 50px) !important;
        position: absolute;
        top: 4rem;
        left: 25px;
        margin: 0 !important;
    }

    body.page-template-rfp-create .select-questions-container .action-row .submit-button {
        width: calc(50% - 30px) !important;
        top: 4rem;
        left: unset;
        right: 25px;
        padding: 0.75rem 1.5rem !important;
    }

    body.page-template-rfp-create .action-row .secondary-button {
        width: calc(50% - 30px) !important;
        position: absolute;
        top: 4rem;
        left: 25px;
    }

    body.page-template-rfp-create .supplier-cards-col {
        margin-bottom: 9rem;
        transition: 0.3s all;
    }
}

body.page-template-rfp-create .content-card.card-mini {
    cursor: pointer;
}

body.page-template-rfp-create span.select2-selection.select2-selection--single {
    padding: 0.75rem 1rem 0.8rem !important;
}

body.page-template-rfp-create span.select2-selection.select2-selection--single,
body.page-template-rfp-create .select2-container--default.select2-container--open.select2-container--below .select2-selection--single {
    border-radius: 100px;
}

body.page-template-rfp-create span.select2-selection__arrow:after {
    top: 16px;
    left: 13px;
}

body.page-template-rfp-create .fancy-select-wrap {
    margin: 1rem 0;
}

body.page-template-rfp-create .select-rfp-container .nectar-button {
    margin-top: 1.4rem !important;
}

.action-row {
    display: flex;
    text-align: right;
    padding: 1.1rem 0;
}

@media only screen and (max-width: 640px) {

    .action-row,
    .select-questions-container .action-row {
        padding: 0.4rem 25px 5rem !important;
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        background: #455850;
        box-shadow: 0 -5px 20px #2e3b37;
        z-index: 1000;
    }
}

.action-row .selected-count {
    font-size: 0.95rem;
    line-height: 2.6rem;
}

.action-row-left,
.action-row-right {
    display: inline-flex;
}

.action-row-left {
    flex: 3;
}

.action-row input[name="checkbox"] {
    position: absolute !important;
    top: 0.3rem;
    right: 0;
    margin: 0;
}

.action-row .select-all-button {
    position: relative;
    margin-left: -1rem;
    cursor: pointer;
}

.action-row label.select-all {
    display: block;
    position: relative;
    z-index: -1;
    height: 44px !important;
    width: auto !important;
    font-size: 0.95rem;
    padding: 0.7rem 4rem 0.7rem 1rem !important;
    line-height: 1.25rem;
}

.select-questions-outer {
    display: flex;
    align-items: stretch;
    background: rgba(0, 0, 0, 0.05);
    box-shadow: inset 0 0 21px rgba(0, 0, 0, 0.1);
}

.select-questions-outer .rfp-sidebar {
    position: sticky;
    top: 2rem;
    flex-grow: 0;
    background: rgba(0, 0, 0, 0.1);
    padding: 2rem 0 !important;
    min-width: 11rem;
    margin: 0;
    border-radius: 10px 0 0;
}

.select-questions-outer .rfp-sidebar .rfp-sidebar-category,
.palomarr-table-container .sidebar-category-row {
    display: block;
    position: relative;
    width: 100%;
    font-size: 0.95rem;
    padding: 0.45rem 3.9rem 0.55rem 1rem;
    cursor: pointer;
    line-height: 1.4rem;
    transition: 0.3s all;
    min-width: 14rem;
}

.select-questions-outer .rfp-sidebar .rfp-sidebar-category.active,
.select-questions-outer .rfp-sidebar .rfp-sidebar-category:hover,
.select-questions-outer .rfp-sidebar .rfp-sidebar-category:focus {
    background: rgb(236 255 247 / 6%);
}

.select-questions-outer .rfp-questions-outer {
    flex-grow: 4;
    padding: 1rem;
}

.select-questions-outer .rfp-questions-inner {
    padding: 3rem 4rem 4rem;
    max-height: 50rem;
    overflow-y: scroll;
}

@media only screen and (max-width: 640px) {
    .select-questions-outer {
        display: block;
        position: relative;
    }

    .select-questions-outer .rfp-questions-inner {
        padding: 1rem 1.2rem;
    }

    .select-questions-outer .rfp-sidebar {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: #313e3a !important;
        z-index: 10;
        border-radius: 1rem;
        padding: 2rem 3rem !important;
    }

    .select-questions-outer .rfp-sidebar-close-button {
        width: 2.2rem;
        height: 2.2rem;
        background: white;
        position: absolute;
        top: 0.8rem;
        right: 0.8rem;
        background: url(https://palomarr.com/wp-content/uploads/2024/08/icon-x-w.svg);
        background-repeat: no-repeat;
        background-position: center;
        background-size: 1.2rem;
        cursor: pointer;
    }

    .select-questions-container .rfp-sidebar-menu-button {
        display: block;
        background: rgba(255, 255, 255, 0.1) url(/wp-content/uploads/2025/02/icon-list-w.svg);
        background-repeat: no-repeat;
        background-size: 1rem;
        background-position: 1rem 0.7rem;
        width: fit-content;
        height: 2.4rem;
        border-radius: 100px;
        padding: 0.2rem 1rem 0.2rem 2.6rem;
        font-size: 0.9rem;
        position: absolute;
        top: -0.15rem;
        right: 0;
        transition: 0.3s all;
    }

    .select-questions-container .rfp-sidebar-menu-button:hover {
        background: rgba(255, 255, 255, 0.2) url(/wp-content/uploads/2025/02/icon-list-w.svg);
        background-repeat: no-repeat;
        background-size: 1rem;
        background-position: 1rem 0.7rem;
    }

    body.page-template-rfp-create .page-container .select-questions-container {
        position: relative;
    }

    body.page-template-rfp-create .select-questions-container h2 {
        padding-right: 9rem;
        font-size: 1.6rem;
    }
}

@media only screen and (min-width: 641px) {
    body.page-template-rfp-create .rfp-questions-inner {
        transition: 0.3s all;
    }

    body.page-template-rfp-create .rfp-questions-inner.scroll-top {
        -webkit-mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 6%);
        mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 6%);
    }

    body.page-template-rfp-create .rfp-questions-inner.scrolling {
        -webkit-mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 6%, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
        mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 6%, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
    }

    body.page-template-rfp-create .rfp-questions-inner.scroll-bottom {
        -webkit-mask-image: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
        mask-image: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
    }

    body.page-template-rfp-create .rfp-questions-inner::-webkit-scrollbar,
    body.page-template-rfp-create .rfp-questions-inner::-webkit-scrollbar-track,
    body.page-template-rfp-create .rfp-questions-inner::-webkit-scrollbar-thumb {
        background-color: rgba(255, 255, 255, 0);
    }

    body.page-template-rfp-create .rfp-questions-inner::-webkit-scrollbar {
        width: 8px;
        height: 8px;
    }

    body.page-template-rfp-create .rfp-questions-inner::-webkit-scrollbar-thumb {
        border-radius: 16px;
        transition: 0.3s all;
    }

    body.page-template-rfp-create .rfp-questions-inner:hover::-webkit-scrollbar-thumb {
        background-color: rgba(255, 255, 255, 0.3);
    }

    body.page-template-rfp-create .rfp-questions-inner::-webkit-scrollbar-button {
        display: none;
    }
}

.rfp-questions-body {
    max-width: 40rem;
    margin: 0 auto;
    position: relative;
}

.rfp-question {
    display: flex;
    padding-bottom: 0.6rem;
}

span.rfp-question-q {
    flex-grow: 4;
    font-size: 1rem;
    line-height: 1.5rem;
    padding-top: 0.25rem;
}

span.rfp-question-type,
span.rfp-category-type {
    width: 2rem;
    min-width: 2rem;
    font-size: 0;
    background-repeat: no-repeat;
    background-size: 0.8rem;
    background-position: center 0.6rem;
}

span.rfp-question-type.default,
span.rfp-category-type.default {
    background-image: url(/wp-content/uploads/2025/01/icon-lock-lg.svg);
}

span.rfp-question-type.recommended,
span.rfp-category-type.recommended {
    background-image: url(/wp-content/uploads/2025/01/icon-like-lg.svg);
}

body.page-template-rfp-create .top-level {
    margin-bottom: 2rem !important;
}

body.page-template-rfp-create h2 {
    margin-bottom: 3rem;
}

.rfp-category {
    padding: 4rem 0 1rem;
}

.rfp-category:first-of-type,
.rfp-category.at-top {
    padding-top: 0;
}

.rfp-category.top-target {
    padding-top: 4rem;
}

.rfp-category-title {
    display: flex;
    margin-bottom: 1.2rem;
}

body.page-template-rfp-create .rfp-questions-outer h4 {
    display: inline-flex;
    flex-grow: 4;
    line-height: 2rem;
    font-size: 1.8rem;
}

.select-questions-container .action-row {
    padding: 2rem 1rem 1.1rem;
}

span.rfp-sidebar-category-count,
.palomarr-table-container .sidebar-category-count {
    display: inline-block;
    width: 30px;
    text-align: center;
    position: absolute;
    top: 0.35rem;
    right: 1rem;
}

span.rfp-sidebar-category-count-inner,
.palomarr-table-container .sidebar-category-count-inner {
    font-size: 0.7rem;
    background: rgb(209 255 237 / 19%);
    border-radius: 100px;
    padding: 0.05rem 0.5rem 0.1rem;
    height: 1.1rem;
    line-height: 1.05rem;
}

body.page-template-rfp-create .page-container {
    position: relative;
    transition: 0.5s all;
    margin-bottom: 8rem;
}

body.page-template-rfp-create .page-container>div {
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s all;
}

body.page-template-rfp-create .page-container .select-questions-container {
    opacity: 0;
}

body.page-template-rfp-create .header-container {
    margin-bottom: 1.6rem;
}

body.page-template-rfp-create .header-container,
body.page-template-rfp-create .header-container .header-left,
body.page-template-rfp-create .header-container .header-right {
    margin-bottom: 1.6rem;
    display: flex;
    align-items: center;
}

@media only screen and (max-width: 640px) {

    body.page-template-rfp-create .header-container,
    body.page-template-rfp-create .header-container .header-left,
    body.page-template-rfp-create .header-container .header-right {
        display: block;
    }

    body.page-template-rfp-create .header-container .header-right .token-container {
        margin: 0 0.8rem 0.6rem 0 !important;
        display: inline-block !important;
    }

    body.page-template-rfp-create .header-container .token-container.multi .token-instance {
        display: inline-block;
    }

    body.page-template-rfp-create .header-container .screen-navigation {
        display: none !important;
    }
}

body.page-template-rfp-create .header-container .header-left {
    flex-grow: 4;
}

body.page-template-rfp-create .header-container h3 {
    display: inline-block;
    margin-bottom: 0 !important;
    margin-right: 1.6rem;
}

body.page-template-rfp-create .header-container .header-category,
body.page-template-rfp-create .rfp-selector-header-supplier {
    display: inline-block;
    position: relative;
    font-size: 0.85rem;
    background: rgb(115 147 133 / 30%) !important;
    backdrop-filter: blur(8px);
    border-radius: 100px;
    padding: 0.5rem 1.2rem 0.45rem 2.2rem;
    line-height: 1.2rem;
    height: 36px;
    overflow: hidden;
    text-overflow: ellipsis;
    text-wrap: nowrap;
    max-width: 100%;
}

body.page-template-rfp-create .header-container .header-category:before,
body.page-template-rfp-create .rfp-selector-header-supplier img {
    height: 1rem;
    width: 1rem;
    position: absolute;
    top: 0.6rem;
    left: 0.8rem;
}

body.page-template-rfp-create .header-container .header-category:before {
    content: '';
    display: block;
    background: url(/wp-content/uploads/2024/07/palomarr-icon-category.svg);
    background-repeat: no-repeat;
    background-size: 0.7rem;
    background-position: center;
}

body.page-template-rfp-create .header-container .screen-navigation,
body.page-template-rfp-create .header-container .token-container {
    background: rgb(115 147 133 / 30%) !important;
    backdrop-filter: blur(8px);
    border-radius: 100px;
    padding: 0.2rem 0.2rem 0.2rem 1.2rem;
    font-size: 0.85rem;
    min-height: 36px;
    display: flex;
    align-items: center;
    margin: 0 0 0 0.8rem !important;
    transition: 0.3s all;
}

body.page-template-rfp-create .header-container .screen-navigation .header-right-desc {
    margin-right: 0.4rem;
}

body.page-template-rfp-create .header-container .screen-navigation .header-suppliers,
body.page-template-rfp-create .header-container .screen-navigation .header-questions {
    cursor: pointer;
    padding: 0.3rem 0.85rem 0.4rem;
    line-height: 1.2rem;
    border-radius: 100px;
    transition: 0.3s all;
}

body.page-template-rfp-create .header-container .screen-navigation .header-suppliers:hover,
body.page-template-rfp-create .header-container .screen-navigation .header-questions:hover,
body.page-template-rfp-create .header-container .token-container.multi .token-instance:hover,
body.page-template-rfp-create .header-container .token-container.multi .token-instance:focus {
    background: rgb(115 147 133 / 33%) !important;
}

body.page-template-rfp-create .header-container .token-container.single {
    cursor: pointer;
    position: relative;
    padding: 0.2rem 1.3rem 0.3rem 0.4rem;
    display: flex !important;
    width: fit-content;
    flex-wrap: wrap;
}

.rfp-card-users-see-more p:hover,
.rfp-card-user-role:hover,
body.page-template-rfp-create .header-container .token-container.single:hover,
body.page-template-rfp-create .header-container .token-container.single:focus {
    background: rgb(115 147 133 / 40%) !important;
}

body.page-template-rfp-create .header-container .token-container span.token-count {
    gap: 0.3rem;
}

body.page-template-rfp-create .header-container .token-container.multi {
    padding: 0.2rem;
}

body.page-template-rfp-create .header-container .token-container.multi .token-instance {
    cursor: pointer;
    position: relative;
    padding: 0.3rem 0.85rem 0.4rem;
    line-height: 1.2rem;
    border-radius: 100px;
    transition: 0.3s all;
}

body.page-template-rfp-create .header-container .token-container .token-instance {
    display: flex;
    align-items: center;
    cursor: pointer;
    position: relative;
    padding-left: 2rem;
    gap: 0.3rem;
}

body.page-template-rfp-create .header-container span.token-container-desc {
    padding: 0 0.4rem 0 0.9rem;
}

@media only screen and (min-width: 641px) {
    .select-rfp-container {
        max-width: 30rem;
        margin: 4rem auto 0;
    }
}

body.page-template-rfp-create .select2-container--default .select2-results>.select2-results__options {
    max-height: 19rem;
}

.select2-container--default .select2-results>.select2-results__options {
    max-height: 200px;
    overflow-y: auto;
    border-radius: 10px;
}

body.page-template-rfp-create[data-fancy-form-rcs="1"] .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 1.5rem !important;
}

body.page-template-rfp-create .body-description {
    margin: 1rem 0 2rem;
}

body.page-template-rfp-create .select-rfp-container span.select2-selection__arrow:after {
    top: 18px;
}

body.page-template-rfp-create .rfp-confirmation-data {
    display: flex;
    align-items: center;
    margin: 1.5rem 0 3.5rem;
    gap: 2rem;
}

body.page-template-rfp-create .rfp-confirmation-data>div,
.rfp-confirmation-questions,
.rfp-confirmation-suppliers {
    display: inline-flex;
    align-items: center;
    gap: 1rem;
}

@media only screen and (max-width: 640px) {
    .rfp-confirmation-data {
        display: block !important;
    }

    body.page-template-rfp-create .rfp-confirmation-data>div {
        display: flex;
        margin-top: 1rem;
    }
}

body.page-template-rfp-create .modal-template-outer .modal-container {
    max-width: 45rem;
}

body.page-template-rfp-create .rfp-selector-header-container {
    display: inline-flex;
    align-items: center;
}

body.page-template-rfp-create .rfp-selector-header-supplier {
    display: inline-block;
}

.rfp-selector-header-container h3 {
    display: inline-block;
    margin: 0 !important;
}

body.page-template-rfp-create .rfp-selector-header-supplier img {
    border-radius: 100px;
}

body.page-template-rfp-create .fixed-action-row {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    margin: 0 auto;
}

body.page-template-rfp-create .action-row,
body.page-template-rfp-create .action-row-error-container {
    margin: 0 auto;
}

@media only screen and (min-width: 1000px) {

    body.page-template-rfp-create .action-row,
    body.page-template-rfp-create .action-row-error-container {
        max-width: 1425px;
        padding: 0 60px;
    }
}

body.page-template-rfp-create .fixed-action-row {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background: linear-gradient(to bottom, #475b54, #4b6058);
    padding: 1rem 0;
    box-shadow: 0 -1rem 1rem #475a53;
    z-index: 1000;
}

body.page-template-rfp-create .action-row-error {
    text-align: right;
    padding: 0 0 1rem;
    font-size: 0.9rem;
}

body.page-template-rfp-create .modal-template-outer .modal-container.modal-price-table-container {
    max-width: 70vw;
}

@media only screen and (max-width: 640px) {
    body.page-template-rfp-create .modal-template-outer {
        overflow-y: scroll;
    }

    body.page-template-rfp-create .modal-template-outer .modal-container.modal-price-table-container {
        max-width: none;
        position: relative;
        top: 1rem;
    }

    body.page-template-rfp-create .modal-template-outer .modal-price-table {
        display: block;
        flex: 1;
        overflow-y: auto;
    }

    .modal-price-table-container .modal-price-table .modal-price-table-column,
    .modal-price-table-container .modal-price-table .column-1 {
        padding: 1.2rem 2rem;
        margin-bottom: 1rem;
        background: rgba(255, 255, 255, 0.05) !important;
        border-radius: 1rem;
    }

    body.page-template-rfp-create .modal-template-outer .modal-price-table {
        display: block !important;
        background: none !important;
    }
}

body.page-template-rfp-create .modal-template-outer .modal-price-table {
    display: flex;
    width: 100%;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 1rem;
}

body.page-template-rfp-create .modal-template-outer .modal-price-table .modal-price-table-header {
    padding: 0.4rem 0 2rem;
    position: relative;
}

body.page-template-rfp-create .modal-template-outer .modal-price-table .modal-price-table-line-item {
    padding: 0.4rem 0;
    position: relative;
    padding-left: 1.6rem;
    line-height: 1.6rem;
    min-height: 2.4rem;
}

body.page-template-rfp-create .modal-template-outer .modal-price-table .modal-price-table-line-item.opacity {
    opacity: 0;
}

body.page-template-rfp-create .modal-template-outer .modal-price-table .modal-price-table-line-item span:first-of-type:before {
    content: '';
    display: inline-block;
    width: 1rem;
    height: 1rem;
    background: url(/wp-content/uploads/2025/02/icon-check-y.svg);
    background-size: 0.9rem;
    background-repeat: no-repeat;
    position: absolute;
    top: 0.8rem;
    left: 0;
}

body.page-template-rfp-create .modal-price-table-container h2.modal-header-text {
    margin-bottom: 1rem;
}

body.page-template-rfp-create .modal-price-table-container .modal-message-outer {
    margin: 0rem 0 3rem;
}

.modal-price-table-container .modal-price-table h3 {
    font-size: 2rem;
    margin-top: 0.8rem;
}

.modal-price-table-container .modal-price-table .modal-price-table-column {
    padding: 2rem 3rem;
}

.modal-price-table-container .modal-price-table .column-1 {
    background: rgba(255, 255, 255, 0.02);
}

.modal-price-table-container .modal-table-action-row {
    margin: 2rem 0 1rem;
}

.modal-price-table-container .token-container {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-height: 32px;
    position: absolute;
    top: 0.2rem;
    right: 0;
    border-radius: 100px;
    padding: 0 0.8rem;
    font-size: 0.9rem;
    transition: 0.3s all;
}

.modal-price-table-container .token-container.active {
    border: none !important;
}

.token-count:before {
    content: '';
    display: block;
    width: 1rem;
    height: 1rem;
    background: url(/wp-content/uploads/2025/02/icon-token-empty-w.svg);
    background-size: 0.8rem;
    background-repeat: no-repeat;
    background-position: center;
}

.token-container.active .token-count:before,
.token-instance.active .token-count:before {
    background: url(/wp-content/uploads/2025/02/icon-token-filled-w.svg);
    background-size: 0.8rem;
    background-repeat: no-repeat;
    background-position: center;
}

.modal-price-table-container .column-0.used {
    opacity: 0.3;
}

.modal-price-table-container .column-0.used .modal-table-button,
.modal-price-table-container .column-0.used .modal-table-button:hover,
.modal-price-table-container .column-0.used .modal-table-button:focus {
    background: rgb(115 147 133 / 30%) !important;
    backdrop-filter: blur(8px);
    cursor: default;
    transform: none;
}

.modal-price-table-container .modal-price-table span {
    color: #dae5e1;
    gap: 0.3rem;
}

@media screen and (max-width: 640px) {
    body.page-template-rfp-create .page-container {
        height: auto !important;
    }

    .select-questions-outer .rfp-questions-inner {
        max-height: unset;
        overflow-y: initial;
    }
}

body.page-template-rfp-create .general-ai-input input {
    background: none !important;
    padding: 0 !important;
    height: 100% !important;
}
